%global oname jamon

Name:          jamonapi
Version:       2.74
Release:       %mkrel 11
Group:         Development/Java
Summary:       A Java monitoring API
License:       BSD
URL:           http://jamonapi.sourceforge.net/
# Newer release available @ https://github.com/stevensouza/jamonapi/
# cvs -d:pserver:anonymous@jamonapi.cvs.sourceforge.net:/cvsroot/jamonapi login
# cvs -z3 -d:pserver:anonymous@jamonapi.cvs.sourceforge.net:/cvsroot/jamonapi co -P -r v2_74 jamonapi/src
# Remove pregenerated javadoc files in the source tree
# rm -rf jamonapi/src/JAMonUsersGuide/javadoc/*
# Remove zip file which contains a proprietary binary
# rm -rf jamonapi/src/JAMonUsersGuide/JAMon_PB.zip
# rm -rf $(find -name "CVS")
# tar cJf jamonapi-2.74.tar.xz jamonapi
Source0:       %{name}-%{version}.tar.xz
# This POM is completely Fedora-specific
Source1:       %{name}-%{version}.pom

Patch0:        %{name}-buildxml.patch
Patch1:        %{name}-jetty8.patch
Patch2:        %{name}-log4j12.patch
Patch3:        %{name}-jetty93.patch

BuildRequires: java-devel
BuildRequires: javapackages-local
BuildRequires: ant
BuildRequires: tomcat-lib
BuildRequires: tomcat-servlet-3.1-api
BuildRequires: tomcat-el-3.0-api
BuildRequires: jetty
BuildRequires: geronimo-interceptor
BuildRequires: log4j12
BuildRequires: dos2unix

Requires:      geronimo-interceptor
Requires:      log4j12

BuildArch:     noarch

%description
JAMon API is a free, simple, high performance, thread safe,
Java API that allows developers to easily monitor the
performance and scalability of production applications. JAMon
tracks hits, execution times (total, avg, min, max, std dev),
and more.

%package javadoc
Summary:         API documentation for %{name}

%description javadoc
This package contains API documentation for Java monitoring API.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

sed -i "s|tomcat-el-2.2-api.jar|tomcat-el-api.jar|" src/ant/build.xml
sed -i "s|tomcat-servlet-3.0-api.jar|tomcat-servlet-api.jar|" src/ant/build.xml

sed -i 's|target="1.5" source="1.5"|target="1.6" source="1.6"|' src/ant/build.xml
sed -i 's|"source" value="1.5"|"source" value="1.6"|' src/ant/build.xml
sed -i 's|"vm" value="1.5"|"vm" value="1.6"|' src/ant/build.xml

sed -i 's|packagenames="${package}"|packagenames="${package}" additionalparam="-Xdoclint:none"|' src/ant/build.xml

mkdir dist
mkdir lib

%build
pushd src/ant
ant JAR
ant javadoc
popd

# Remove spurious executable permissions
find src/JAMonUsersGuide -type f | xargs chmod -x
find src/JAMonUsersGuide -regex '.*\(xml\|css\|js\)' -o -name package-list | xargs dos2unix

# There should be a shorter way to do an iconv task, but I do not know of one
pushd src/JAMonUsersGuide/presentation/jamon_files/
mv master04_stylesheet.css master04_stylesheet.css.iso8859-1
iconv -f ISO-8859-1 -t UTF-8 master04_stylesheet.css.iso8859-1 > master04_stylesheet.css
rm master04_stylesheet.css.iso8859-1
popd

cp -p src/JAMonUsersGuide/JAMonLicense.html .

%install
%mvn_artifact %{SOURCE1} dist/%{oname}-%{version}.jar
%mvn_file com.jamonapi:jamon %{oname} %{name}
%mvn_install -J src/doc/javadoc

%files -f .mfiles
%doc src/JAMonUsersGuide
%license JAMonLicense.html

%files javadoc -f .mfiles-javadoc
%license JAMonLicense.html



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.74-11.mga6
+ Revision: 982640
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.74-10.mga6
+ Revision: 976555
- First rebuild of the java stack
- sync package jamonapi with fedora

* Tue Feb 09 2016 umeabot <umeabot> 2.74-7.mga6
+ Revision: 951483
- Mageia 6 Mass Rebuild

* Thu Jan 01 2015 pterjan <pterjan> 2.74-6.mga5
+ Revision: 807990
- Update BuildRequires
- Clean rebuild
- Add a patch to find jetty-http
- Get log4j12 patch to work
- Sync with Fedora 21

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.74-2.mga4
+ Revision: 545408
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 2.74-1.mga4
+ Revision: 501217
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.73-2.mga3
+ Revision: 354732
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 2.73-1.mga3
+ Revision: 291878
- New version

* Wed Oct 26 2011 gil <gil> 2.7-1.mga2
+ Revision: 158306
- imported package jamonapi

